.header__lang--active
{
    cursor:default;
}
.album__wrap { width: 100% }
.select--updating
{
    opacity: 0.5;
    pointer-events: none;
}
.page-article-dark .page-article__video
{
    background-color: #1f1b1a;
}
.article .article__informer{
    clear: both;
}

.page-weather h1 {
    font-family: Pt-Sans;
    font-size: 34px;
    font-weight: 700;
    line-height: 1.2;
    color: #1f1b1a;
}

.page-photoalbums {
    overflow: hidden;
}

.page-photoalbums .container {
    margin-top: 60px;
}

.footer,
.header:not(.header--fixed) {
    width: calc(100% + var(--body-right-padding));
    padding-right: var(--body-right-padding);
}

.footer__decoration {
    overflow: hidden;
}

.informer__img,
.photo__img,
.postcard__img,
.album__img,
.audioCard__img {
    will-change: transform;
}

@media (max-width: 743px) {
.page-weather h1 {
        font-size: 20px;
        line-height: 1.2;
}
.page-weather .page-title .page-title__container {
    margin-bottom: 29px;
}
}
.question .swiper-question {
    height: max-content;
}
.question .tabs__btn
{
    color: #353231;
    flex: 0 1 auto;
    
}

.question .tabs__btn.active {
    color: #1F1B1A;
}

.question .tabs__btn::after {
    content: attr(data-text);
    font-weight: 700;
    display: block;
    height: 0;
    visibility: hidden;
    
}

@media (max-width: 1024px) {
    .question .tabs__btn, 
    .question .tabs__btn:last-child {
        font-size: 16px;
        line-height: 20px;
        padding: 15px 24px;
        border: 1px solid transparent;
    }
    .question .tabs__btn.active {
        border: 1px solid rgba(31, 27, 26, 0.6);
    }
    .question .swiper-scrollbar {
        display: none;
    }

    .swiper-question {
        opacity: 0;
        /* transition: opacity .2s ease; */
    }
    
    .swiper-question.swiper-initialized {
        opacity: 1;
    }
}

@media (max-width: 743px) {
    .question .tabs__btn, 
    .question .tabs__btn:last-child {
        font-size: 14px;
        line-height: 18px;
        padding: 11px 16px;
    }
    .question .swiper-scrollbar {
        display: block;
    }
}


.player__img {
    max-height: 400px;
}
.fancybox__content .is-close-btn {
    top:0!important;
}
[data-fancybox-close] {
    cursor: zoom-in;
}
.bx-core-adm-dialog-content-wrap-inner .empty {
    display: none;
}

/* Skeleton Styles */
.skeleton {
	background: #eee;
	background: linear-gradient(110deg, #ececec 8%, #f5f5f5 18%, #ececec 33%);
	background-size: 200% 100%;
	animation: 1.5s shine linear infinite;
    border-radius: 10px;
}

@keyframes shine {
	to {
		background-position-x: -200%;
	}
}

.skeleton-text {
	display: inline-block;
	width: 100px;
	border-radius: 6px;
    line-height: 1;
}

.skeleton-text::after{
	content: '\00a0';
}

/* Скелетон с более контрастными цветами для серого фона */
.skeleton-dark {
    background: #e2e2e2;
	background: linear-gradient(110deg, #dedede 8%, #ebebeb 18%, #dedede 33%);
	background-size: 200% 100%;
	animation: 1.5s shine linear infinite;
}

/* Таблица в статье */
.article__container table {
    border: 0 none;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    text-align: left;
    width: 100%;
    background-color: #fff;
    border-radius: 16px;
    overflow: hidden;
}

.article__container td, .article__container th {
   padding: 0 25px;
   border: 0 none;
   height: 44px;
   position: relative;
}

.article__container th {
    font-size: 0.9em;
    font-weight: normal;
    color: #00000073;
}

.article__container tbody td:before {
    background-color: rgb(31 27 26 / 10%);
    bottom: auto;
    content: "";
    display: block;
    height: 1px;
    left: 0;
    position: absolute;
    right: auto;
    top: 0;
    transform: scaleY(1);
    transform-origin: 50% 0;
    width: 100%;
    z-index: 15;
}
.texterror__tnx_centered
{
    text-align: center;
}
.texterror__head_only-close
{
    justify-content: flex-end;
}

/* Skeleton для карусели */
.carousel__container {
    position: relative;
}
.carousel-skeleton {
    display: flex;
    flex-direction: column;
    align-items: center;    
}

.carousel-skeleton__item {
    width: calc(100% * 0.53166);
    max-width: 765px;

    position: relative;
    flex: 1 0 auto;
}

@media (max-width: 1023px) {
    .carousel-skeleton__item {
        width: calc(100% * 0.5714);
    }
}

@media (max-width: 743px) {
    .carousel-skeleton__item {
        width: calc(100% * 0.9522);
    }
}

.carousel-skeleton__image {
    width: 100%;
    aspect-ratio: 16/9;
    border-radius: 16px;
    opacity: 0.1;
}

.carousel-skeleton__content {
    position: absolute;
    bottom: 26px;
    left: 30px;
    right: 30px;
    opacity: 0.15;
    display: none;
}

.carousel-skeleton__nav {
    display: flex;
    gap: 15px;
    justify-content: right;
}

.carousel-skeleton__arrow {
    width: 32px;
    height: 32px;
    border-radius: 16px;
    opacity: 0.1;
}

.carousel-skeleton__info {
    display: flex;
    align-items: center;
}

.carousel-skeleton__info .skeleton-text {
    height: 18px;
}

.swiper-carousel {
    opacity: 0;
    position: absolute;
    /* transition: opacity .2s ease; */
}

.swiper-carousel.swiper-initialized {
    position: relative;
    opacity: 1;
}

/* Скрываем скелетон когда слайдер инициализирован */
.swiper-carousel.swiper-initialized ~ .carousel-skeleton,
.carousel__container:has(.swiper-carousel.swiper-initialized) .carousel-skeleton {
    display: none;
}

@media (max-width: 743px) {
    .header--fixed .header__logo--mobile {
        width: 188px;
        height: 19px;
    }
}

@media (min-width: 744px) {
    .header--fixed .header__bot {
        height: 52px;
    }
}

@media ((min-width: 743px) and (max-width: 960px)) {
    .header__bot--decor {
        height: 52px;
    }
    .header__logo--mobile {
        width: 296px;
    }
}

.header--fixed .header__menu {
    top: 52px;
}

.header--fixed .header__menu--open {
    height: calc(100vh - 52px);
}

.swiper-pateric,
.swiper-posts,
.swiper-photoslider {
    opacity: 0;
    /* transition: opacity .2s ease; */
}

.swiper-pateric.swiper-initialized,
.swiper-posts.swiper-initialized,
.swiper-photoslider.swiper-initialized {
    opacity: 1;
}

body .air-datepicker {
    --adp-color-other-month: rgba(31, 27, 26, 0.5);
    --adp-color-disabled: rgba(31, 27, 26, 0.2);
    --adp-color-weekend:rgba(235, 87, 87);
    --adp-color-weekend-other-month: rgba(235, 87, 87, 0.5);
    --adp-color-weekend-disabled: rgba(235, 87, 87, 0.2);
}

body .air-datepicker-cell.-selected- {
    color: var(--adp-color) !important;
}

body .air-datepicker-cell.-selected-.-other-month- {
    color: var(--adp-color-other-month) !important;
}

body .air-datepicker-cell.-day-.-selected-.-weekend- {
    color: var(--adp-color-weekend) !important;
}

body .air-datepicker-cell.-day-.-selected-.-weekend-.-other-month- {
    color: var(--adp-color-weekend-other-month) !important;
}

body .air-datepicker-cell.-day-.-in-range-.-other-month- {
    color: var(--adp-color-other-month);
}

body .air-datepicker-cell.-day-.-disabled-.-in-range- {
    color: var(--adp-color-disabled);
}

body .air-datepicker-cell.-day-.-weekend-.-other-month- {
    color: var(--adp-color-weekend-other-month);
}

body .air-datepicker-cell.-day-.-weekend-.-disabled-{
    color: var(--adp-color-weekend-disabled);
}

@media (min-width: 1922px) {
    /* Ограничиваем по ширине полноэкранные картинки на очень широких дисплеях */
    .img-full img {
        border-radius: 10px;
        max-width: 1920px;
        margin: 0 auto;
    }
}